#
# spec file for package netpbm (Version 10.26.22)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libjpeg libjpeg-devel libltdl libmudflap41 libnscd libpng libpng-devel libstdc++-devel libstdc++41 libstdc++41-devel libtiff libtiff-devel libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           netpbm
BuildRequires:  libpng-devel libtiff-devel
License:        Any permissive; Artistic License; BSD 3-Clause; GPL v2 or later; Public Domain, Freeware; X11/MIT
Group:          Productivity/Graphics/Convertors
Provides:       pbmplus
AutoReqProv:    on
Version:        10.26.22
Release:        35
Summary:        A Powerful Graphics Conversion Package
Source:         netpbm-%{version}-nohpcdtoppm-nojbig.tar.bz2
Source1:        netpbm-%{version}-documentation.tar.bz2
Source2:        netpbm-%{version}-manpages.tar.bz2
Source3:        prepare-src-tarball
Patch:          netpbm-%{version}.dif
Patch2:         netpbm-%{version}-manpages.patch
Patch4:         netpbm-%{version}-overflow.patch
Patch5:         netpbm-%{version}-aliasing.patch
Patch6:         netpbm-%{version}-tmpfile.patch
Patch7:         netpbm-%{version}-colornames-init.diff
Patch8:         netpbm-%{version}-fixes.patch
Patch9:         netpbm-%{version}-pstopnm-gs-options.patch
Patch10:        netpbm-%{version}-endian.patch
Patch11:        netpbm-%{version}-pnmtopng-CAN-2005-2978.patch
Patch12:        netpbm-%{version}-pnmtopng-overflow.patch
Patch13:        netpbm-%{version}-ximtoppm-fixes.patch
Patch14:        netpbm-%{version}-jasper-CVE-2007-2721.patch
Url:            http://netpbm.sourceforge.net
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The latest version of the Portable Bitmap Plus Utilities. This large
package, which is by now available for all hardware platforms, provides
tools for graphics conversion. Using these tools, images can be
converted from virtually any format into any other format. A few of the
supported formats include: GIF, PC-Paintbrush, IFF ILBM, Gould Scanner
file, MTV ray tracer, Atari Degas .pi1 and .pi3, Macintosh PICT, HP
Paintjet file, QRT raytracer, AUTOCAD slide, Atari Spectrum (compressed
and uncompressed), Andrew Toolkit raster object, and many more. On top
of that, man pages are included for all tools.



Authors:
--------
    Alberto Accomazzi       <alberto@cfa.harvard.edu>
    Andre Beck              <Andre_Beck@IRS.Inf.TU-Dresden.de>
    Angus Duggan            <ajcd@dcs.ed.ac.uk>
    Arnaud Le Hors          <lehors@sophia.inria.fr>
    Arthur David Olson      <OLSONA@dc37a.nci.nih.gov>
    Burkhard Neidecker-Lutz <neideck@nestvx.enet.dec.com>
    Daniel Briggs           <dbriggs@nrao.edu>
    David Beckemeyer        <bdt!david>
    David Koblas            <koblas@netcom.com>
    Diomidis D. Spinellis   <dds@cc.ic.ac.uk>
    George Phillips         <phillips@cs.ubc.ca>
    Graeme W. Gill          <graeme@labtam.oz.au>
    Hadmut Danisch          <danisch@ira.uka.de>
    Ingo Wilken             <Ingo.Wilken@informatik.uni-oldenburg.de>
    James Darrell McCauley  <mccauley@mcs.com>
    John Tiller             <tiller@galois.msfc.nasa.gov>
    John Walker             <kelvin@Autodesk.com>
    Kanthan Pillay          <svpillay@Princeton.EDU>
    Ken Yap                 <ken@cs.rocester.edu>
    Lyle Rains              <lrains@netcom.com>
    Marcel Wijkstra         <wijkstra@fwi.uva.nl>
    Marc Boucher            <marc@PostImage.COM>
    Oliver Trepte           <oliver.trepte@dd.sigma.se>
    Patrick J. Naughton     <naughton@wind.sun.com>
    Paul Haeberli           <paul@manray.sgi.com>
    Paul Breslaw		<paul@mecazh.uu.ch>
    S.Petra Zeidler         <spz@specklec.mpifr-bonn.mpg.de>
    Steve Belczyk           <seb3@gte.com>
    Warren Toomey           <wkt@csadfa.cs.adfa.oz.au>
    Wilson H. Bent. Jr.     <whb@evtech.com>
    Wolfgang Stuerzlinger   <wrzl@gup.uni-linz.ac.at>

%debug_package
%package -n libnetpbm
Version:        1.0.0
Release:        678
License:        LGPL v2.1 or later
Summary:        Libraries for the NetPBM (NetPortableBitmap) Graphic Formats
Group:          System/Libraries
AutoReqProv:    on
Provides:       libnetpb
Obsoletes:      libnetpb

%description -n libnetpbm
These are the libs for the netpbm graphic formats. The tools can be
found in the netpbm package. The sources are contained in the netpbm
source package.



Authors:
--------
    Rob Hooft <hooft@EMBL-Heidelberg.DE>
    Michael Mauldin <mlm@cs.cmu.edu>

%prep
%setup
%setup -D -q -a 1
%setup -D -q -a 2
rm -rf libtiff
%patch
%patch2
%patch4
%patch5
%patch6
%patch7 -p1
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13
%patch14
# for ppmtompeg
rm -fr ppmtompeg
mkdir -p ppmtompeg
mkdir -p pnmtopalm
cd ppmtompeg
cp -v ../converter/ppm/ppmtompeg/BUGS .
cp -v ../converter/ppm/ppmtompeg/CHANGES .
cp -vr ../converter/ppm/ppmtompeg/docs/ .
cp -vr ../converter/ppm/ppmtompeg/examples/ .
cd ../pnmtopalm
cp -v ../converter/other/pnmtopalm/LICENSE .
cp -v ../converter/other/pnmtopalm/README .

%build
cp  Makefile.config.in  Makefile.config
make CFLAGS="$RPM_OPT_FLAGS -fPIC -fstack-protector"

%install
mkdir -p $RPM_BUILD_ROOT/usr/{bin,include,%_lib,share/man}
make pkgdir=`pwd`/package package STRIPFLAG=
cp -prd package/bin $RPM_BUILD_ROOT/usr
cp -pd package/{lib,link}/* $RPM_BUILD_ROOT/usr/%_lib
ln -sf libnetpbm.so.10.26 $RPM_BUILD_ROOT/usr/%_lib/libnetpbm.so
ln -sf libnetpbm.so      $RPM_BUILD_ROOT/usr/%_lib/libpbm.so
ln -sf libnetpbm.so      $RPM_BUILD_ROOT/usr/%_lib/libpgm.so
ln -sf libnetpbm.so      $RPM_BUILD_ROOT/usr/%_lib/libpnm.so
ln -sf libnetpbm.so      $RPM_BUILD_ROOT/usr/%_lib/libppm.so
cp -pd package/include/* $RPM_BUILD_ROOT/usr/include
cp -prd man/* $RPM_BUILD_ROOT/usr/share/man
mkdir -p $RPM_BUILD_ROOT/usr/share/netpbm
install -m 644 converter/other/pnmtopalm/*.map $RPM_BUILD_ROOT/usr/share/netpbm
rm $RPM_BUILD_ROOT/usr/bin/g3topbm #conflict with g3utils

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libnetpbm
%run_ldconfig

%postun -n libnetpbm
%run_ldconfig

%files
%defattr(-,root,root)
%doc   README doc/* netpbm.sourceforge.net/doc
%doc   ppmtompeg/ pnmtopalm/
%doc %{_mandir}/man1/*.gz
%doc %{_mandir}/man3/*.gz
%doc %{_mandir}/man5/*.gz
/usr/bin/*
/usr/share/netpbm

%files -n libnetpbm
%defattr(-,root,root)
/usr/include/*
%{_libdir}/lib*
%changelog
* Fri Nov 09 2007 - nadvornik@suse.cz
- fixed CVE-2007-2721 in jpeg2ktopam [#339731]
* Tue Nov 14 2006 - prusnak@suse.cz
- fixed [#216670]
  - removed man pages that pointed to online documentation (manpages.patch)
  - added man pages generated from HTML documentation (manpages.tar.bz2)
* Thu Mar 23 2006 - nadvornik@suse.cz
- fixed uninitialized variables [#155948]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - nadvornik@suse.cz
- compile with -fstack-protector
* Thu Jan 05 2006 - nadvornik@suse.cz
- updated to 10.26.22
* Tue Nov 15 2005 - nadvornik@suse.cz
- fixed possible buffer overflow [#133649]
* Thu Oct 13 2005 - nadvornik@suse.cz
- fixed possible buffer overflow (CAN-2005-2978) [#119601]
* Mon Sep 26 2005 - nadvornik@suse.cz
- fixed fiasco on bigendian [#105431]
* Tue Aug 09 2005 - nadvornik@suse.cz
- call ghostscript with the -dSAFER option [#102527]
* Mon Aug 01 2005 - nadvornik@suse.cz
- fixed libnetpb.so symlink
* Fri Jul 29 2005 - nadvornik@suse.cz
- installed palm colormaps required by plucker
* Thu Jul 28 2005 - nadvornik@suse.cz
- updated to 10.26.12
* Wed Jun 22 2005 - schwab@suse.de
- Fix aliasing bug.
- Don't strip binaries.
* Thu Jan 06 2005 - nadvornik@suse.cz
- updated to 10.18.18
- fixed tempdir handling in anytopbm [#49446]
* Fri Nov 19 2004 - ro@suse.de
- fixed file list
* Tue Aug 31 2004 - jw@suse.de
- fix uninitialized colornames in libppmcolor.c,
  that caused ppmtoxpm to segv on x86-64.
* Fri Aug 27 2004 - kukuk@suse.de
- Fix .so symlink
* Thu Aug 26 2004 - nadvornik@suse.cz
- updated to 10.18.15: many bugfixes, incuding pnmtopng fix [#42868]
* Thu Mar 18 2004 - nadvornik@suse.cz
- do not pack /usr/bin/doc.url [#36329]
* Fri Mar 05 2004 - nadvornik@suse.cz
- fixed pbmtextps [#32104]
- fixed dangerous compiler warnings
* Mon Jan 26 2004 - nadvornik@suse.cz
- fixed temp files handling [#34036]
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Thu Sep 18 2003 - nadvornik@suse.cz
- fixed tail/head syntax [#31231]
* Wed May 28 2003 - nadvornik@suse.cz
- remove unpackaged files from buildroot
* Thu Feb 13 2003 - ro@suse.de
- fix symlink for libnetpbm.so
* Tue Feb 11 2003 - nadvornik@suse.cz
- updated to 10.11.4
* Mon Aug 05 2002 - nadvornik@suse.cz
- removed g3topbm again
* Mon Jul 29 2002 - schwab@suse.de
- Fix reference to perl in scripts.
* Sat Jul 27 2002 - kukuk@suse.de
- Create compatibility links for the old libraries to compile
  old sources
* Sat Jul 27 2002 - meissner@suse.de
- %%_lib fixes, use RPM_OPT_FLAGS and -fPIC
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Fri Jul 26 2002 - nadvornik@suse.cz
- updated to 10.5:
  - libraries libpbm, libpgm, libpnm, libppm merged to libnetpbm
  - documentation is in html only
* Tue May 14 2002 - nadvornik@suse.cz
- fixed usage of the %%{_libdir} macro
* Tue Feb 26 2002 - nadvornik@suse.cz
- fixed "#!/bin/sh" line in ppmtomap
* Thu Feb 07 2002 - nadvornik@suse.cz
- updated to 9.24
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 10 2002 - nadvornik@suse.cz
- update to 9.23:
    - bugfix release
- patched pnmtops to accept -dpi <number>x<number> [bug #12591]
- used macros %%{_lib} and %%{_libdir}
* Wed Dec 05 2001 - nadvornik@suse.cz
- update to 9.21:
  - new: pamdeinterlace, pnmquant, ppmtoneo, neotoppm
* Tue Sep 04 2001 - nadvornik@suse.cz
- removed jbigtopnm and pnmtojbig because of potential patent
  problems [bug #9903]
- fixed segfault in icontopnm
* Thu Aug 23 2001 - ro@suse.de
- added pm.h and pm_config.h to INTERFACE_HEADERS
  (pm.h is included by pbm.h and includes pm_config.h)
* Thu Aug 23 2001 - nadvornik@suse.cz
- update to 9.16
  new:   pbmtopsg3 (Postscript G3 fax), pbmtonokia, ppmrainbow
  pamoil (a replacement for pgmoil)
  fixes and updates:
  ppmtogif, ppmtojpeg, xpmtoppm, pnmtopng/pngtopnm,
  giftopnm, ppm3d, tifftopnm, pgmcrater, pnmgamma,
  ppmcie, pnmscale, pnmscalefixed, ppmtoeyuv, eyuvtoppm
  pstopnm
- removed hpcdtoppm from source, because selling and commercial
  using is prohibited
* Tue Jun 05 2001 - pblaha@suse.cz
- upgrade on 9.14
- add documentation and examples for ppmtompeg fix bug #8647
* Thu Apr 05 2001 - pblaha@suse.cz
- make ln -s pnmtoplainpnm  pnmnoraw and ln -s gemtopnm  gemtopbm
* Tue Apr 03 2001 - kukuk@suse.de
- Remove g2topbm again due conficts with g3utils
* Mon Mar 26 2001 - pblaha@suse.cz
- update on 9.12
* Wed Mar 14 2001 - pblaha@suse.cz
-  remove g3topbm due to conflict with g3utils
* Wed Mar 07 2001 - pblaha@suse.cz
- update on 9.11
* Wed Jan 24 2001 - pblaha@suse.cz
- update on 9.10
* Fri Dec 22 2000 - garloff@suse.de
- Add Provides + Obsoletes: libnetpb.
- Use some more macros in spec file.
- bzip2 source.
* Tue Dec 05 2000 - schwab@suse.de
- Be sure to compile with -fpic.
* Mon Dec 04 2000 - kukuk@suse.de
- Fix again path to perl
* Thu Nov 30 2000 - pblaha@suse.cz
- remove g3topbm and pbmtog3 for conflict with g3utils
* Tue Nov 28 2000 - kukuk@suse.de
- Use /usr/bin/perl
* Tue Nov 28 2000 - pblaha@suse.cz
- remove hpcdtoppm because conflict with photocd
* Mon Oct 02 2000 - pblaha@suse.cz
- update to 9.8 and rename libnetpb to libnetpbm
* Fri Sep 29 2000 - ro@suse.de
- fixed Makefile deps
* Mon Jul 10 2000 - bubnikv@suse.cz
- fixed pbmtog3 to use fixed width of fax image (standard), added
  switch to allow usage of source image width
- updated man page of pbmtog3
- changed URLs of home page and source file
* Tue Jun 20 2000 - nadvornik@suse.cz
- added shhopt.h, libshhopt.*
* Fri May 26 2000 - bubnikv@suse.cz
- sorted
* Fri May 19 2000 - nadvornik@suse.cz
- fixed Imakefile
* Tue May 16 2000 - nadvornik@suse.cz
- update to 8.4
- added BuildRoot
* Fri May 12 2000 - schwab@suse.de
- pbmplus.h: fix linux configuration.
* Tue Feb 29 2000 - kukuk@suse.de
- Let ldconfig create correct links for shared libraries and add
  them to file list
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jan 14 1999 - ro@suse.de
- pbmplus.h: don't redeclare write on alpha
* Wed Jun 17 1998 - ro@suse.de
- patched to build for libc5 and glibc
* Thu May 14 1998 - ro@suse.de
- added patch to build pbmtosff from Christian Lademann
* Tue May 12 1998 - ro@suse.de
- extracted package from libgr / build from own sources
